Source: pagure
Section: web
Priority: optional
Maintainer: Sergio Durigan Junior <sergiodj@sergiodj.net>
Build-Depends:
 debhelper (>=9),
 dh-python,
 dh-systemd,
 python-all,
 python-setuptools,
 sphinx-common,
 python-sphinx,
 python-cloud-sptheme,
# Deps for pagure
 python-alembic,
 python-arrow,
 python-binaryornot,
 python-bleach,
 python-blinker,
 python-chardet,
 python-docutils,
 python-enum34,
 python-flask,
 python-flaskext.wtf,
 python-flaskext.multistatic,
 python-html5lib,
 python-kitchen,
 python-markdown,
 python-munch,
 python-pil,
 python-psutil,
 python-pygit2,
 python-pygments,
 python-openid,
 python-openid-cla,
 python-openid-teams,
 python-redis,
 python-six,
 python-sqlalchemy,
 python-straight.plugin,
 python-trollius-redis,
 python-wtforms,
 python-fedora,
 python-cryptography,
 python-bcrypt,
# Needed for testing
 git,
Standards-Version: 3.9.8
Homepage: http://pagure.io/pagure
X-Python-Version: >= 2.7

Package: pagure
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
 gitolite3,
Recommends:
 pagure-ev-server (= ${source:Version}),
 pagure-milters (= ${source:Version}),
 pagure-webhook-server (= ${source:Version}),
Suggests: pagure-doc
Description: git-centered forge using pygit2
 Pagure is a git-centered forge, python based using pygit2.
 .
 With pagure you can host your project with its documentation, let your
 users report issues or request enhancements using the ticketing system
 and build your community of contributors by allowing them to fork your
 projects and contribute to it via the now-popular pull-request
 mechanism.

Package: pagure-ev-server
Architecture: all
Depends:
 pagure (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: git-centered forge using pygit2
 Pagure is a git-centered forge, python based using pygit2.
 .
 With pagure you can host your project with its documentation, let your
 users report issues or request enhancements using the ticketing system
 and build your community of contributors by allowing them to fork your
 projects and contribute to it via the now-popular pull-request
 mechanism.

Package: pagure-milters
Architecture: all
Depends:
 pagure (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: git-centered forge using pygit2
 Pagure is a git-centered forge, python based using pygit2.
 .
 With pagure you can host your project with its documentation, let your
 users report issues or request enhancements using the ticketing system
 and build your community of contributors by allowing them to fork your
 projects and contribute to it via the now-popular pull-request
 mechanism.

Package: pagure-webhook-server
Architecture: all
Depends:
 pagure (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: git-centered forge using pygit2
 Pagure is a git-centered forge, python based using pygit2.
 .
 With pagure you can host your project with its documentation, let your
 users report issues or request enhancements using the ticketing system
 and build your community of contributors by allowing them to fork your
 projects and contribute to it via the now-popular pull-request
 mechanism.

Package: pagure-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: git-centered forge using pygit2
 Pagure is a git-centered forge, python based using pygit2.
 .
 With pagure you can host your project with its documentation, let your
 users report issues or request enhancements using the ticketing system
 and build your community of contributors by allowing them to fork your
 projects and contribute to it via the now-popular pull-request
 mechanism.
 .
 This is the common documentation package.
